OpenMesh::IO::_OFFWriter_ Class Reference

Implementation of the OFF format writer. More...

`#include <OpenMesh/Core/IO/writer/OFFWriter.hh>`

Inheritance diagram for OpenMesh::IO::_OFFWriter_:
[legend]
Collaboration diagram for OpenMesh::IO::_OFFWriter_:
[legend]

## Public Member Functions

std::string | get_description () const
| Return short description of the supported file format.
std::string | get_extensions () const
| Return file format's extension.
bool | write (const std::string &, BaseExporter &, Options, std::streamsize _precision=6) const
| Write to a file. More...
bool | write (std::ostream &, BaseExporter &, Options, std::streamsize _precision=6) const
| Write to a std::ostream. More...
size_t | binary_size (BaseExporter &_be, Options _opt) const
| Returns expected size of file if binary format is supported else 0.
Public Member Functions inherited from OpenMesh::IO::BaseWriter
virtual | ~BaseWriter ()
| Destructor.
virtual bool | can_u_write (const std::string &_filename) const
| Returns true if writer can write _filename (checks extension). More...

## Protected Member Functions

void | writeValue (std::ostream &_out, int value) const
void | writeValue (std::ostream &_out, unsigned int value) const
void | writeValue (std::ostream &_out, float value) const
bool | write_ascii (std::ostream &_in, BaseExporter &, Options) const
bool | write_binary (std::ostream &_in, BaseExporter &, Options) const
Protected Member Functions inherited from OpenMesh::IO::BaseWriter
bool | check (BaseExporter &_be, Options _opt) const

## Additional Inherited Members

Public Types inherited from OpenMesh::IO::BaseWriter
typedef unsigned int | Option

## Detailed Description

Implementation of the OFF format writer.

This class is singleton'ed by SingletonT to OFFWriter.

By passing Options to the write function you can manipulate the writing behavoir. The following options can be set:

Binary VertexNormal VertexColor VertexTexCoord FaceColor ColorAlpha

## Member Function Documentation

## write() [1/2]

bool OpenMesh::IO::_OFFWriter_::write | ( | const std::string & | _filename,
|  | BaseExporter & | _be,
|  | Options | _opt,
|  | std::streamsize | _precision = `6`
| ) |  | const

virtual

Write to a file.

Parameters

  _filename | write to file with the given filename
  _be | BaseExporter, which specifies the data source
  _opt | writing options
  _precision | can be used to specify the precision of the floating point notation.

Implements OpenMesh::IO::BaseWriter.

## write() [2/2]

bool OpenMesh::IO::_OFFWriter_::write | ( | std::ostream & | _os,
|  | BaseExporter & | _be,
|  | Options | _opt,
|  | std::streamsize | _precision = `6`
| ) |  | const

virtual

Write to a std::ostream.

Parameters

  _os | write to std::ostream
  _be | BaseExporter, which specifies the data source
  _opt | writing options
  _precision | can be used to specify the precision of the floating point notation.

Implements OpenMesh::IO::BaseWriter.

The documentation for this class was generated from the following files:

- OpenMesh/Core/IO/writer/OFFWriter.hh
- OpenMesh/Core/IO/writer/OFFWriter.cc